centos7+python3.6下执行firewall-cmd命令提示“ModuleNotFoundError:no module named ‘gi’ ”

版权声明:本文为博主原创文章,遵循 CC 4.0 BY-SA 版权协议,转载请附上原文出处链接和本声明。
本文链接:https://blog.csdn.net/weixin_39860437/article/details/79320343

报错如下所示:


原因:由于python版本非系统自带的2.7导致该文件执行有误

解决方法:

vi /usr/bin/firewall-cmd  

将第一行#!/usr/bin/python -Es

修改为 #!/usr/bin/python2.7 -Es  保存并退出再次执行firewall-cmd即可。



展开阅读全文

没有更多推荐了,返回首页